const commonConfig = require('./webpack.config');
const path = require('path');

let config = {
    basePath: process.cwd(),
    frameworks: ['jasmine'],
    files: [path.join(process.cwd(), 'src/index.spec.ts')],
    preprocessors: {
        [path.join(process.cwd(), 'src/index.spec.ts')]: ['webpack', 'sourcemap']
    },
    webpack: commonConfig,
    reporters: ['kjhtml', 'progress'],
    port: 9876,
    colors: true,
    autoWatch: true,
    browsers: ['Chrome', 'Firefox', 'IE'],
    singleRun: false,
    concurrency: Infinity,
    mime: { 'text/x-typescript': ['ts', 'tsx'] }
};

module.exports = config;