'use strict';

const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const commonConfig = require('./webpack.config');
const description = require(path.join(process.cwd(), 'description'));
const webpack = require('webpack');

module.exports = Object.assign(commonConfig, {
    entry: {
        app: [path.join(process.cwd(), description.demoEntryPath)]
    },
    plugins: [
        ...commonConfig.plugins,
        new webpack.NamedModulesPlugin(),
        new webpack.HotModuleReplacementPlugin(),
        new HtmlWebpackPlugin({
            template: path.join(process.cwd(), description.demoHtmlPath),
            inject: true
        })
    ]
});