'use strict';
const karmaConfig = require('../config/karma.conf');
const Server = require('karma').Server;


const argv = process.argv.slice(2);
console.log(argv);

// for ChromeHeadless mode
process.env.CHROME_BIN = require('puppeteer').executablePath();

if(argv.indexOf('--watch') === -1){
    karmaConfig.autoWatch = false;
    karmaConfig.singleRun = true;
    karmaConfig.browsers = ['ChromeHeadless']
}

process.on('unhandledRejection', err => {
    throw err;
});

let server = new Server(karmaConfig, function(exitCode) {
    console.log('Karma has exited with ' + exitCode)
    process.exit(exitCode)
});

server.start();