'use strict';
const gulp = require('gulp');
const concat = require('gulp-concat');
const deleteLines = require('gulp-delete-lines');
const insert = require('gulp-insert');
const del = require('del');
const path = require('path');
const description = require(path.join(process.cwd(), 'description'));

function createDtsBundle() {
    gulp.task('concat', function () {
        return gulp.src([process.cwd() + '/dist/**/*.d.ts'])
        // удалить строки export { ClassName ...
            .pipe(deleteLines({
                'filters': [
                    /export\s{\s/i
                ]
            }))
            // удалить все импорты
            .pipe(deleteLines({
                'filters': [
                    /import\s+/i
                ]
            }))
            .pipe(concat('index.d.ts'))
            .pipe(insert.prepend('export as namespace ' + description.libName + ';'))
            .pipe(gulp.dest(process.cwd() + '/dist/@types/' + description.moduleName));
    });

    gulp.task('cleanTmp', function () {
        return del(process.cwd() + '/dist/tmp/**', {force: true});
    });
    gulp.task('cleanTypes', function () {
        return del(process.cwd() + '/dist/@types/**', {force: true});
    });

    gulp.task('buildSingleDeclarationFile', gulp.series('cleanTypes', 'concat', 'cleanTmp'));

    gulp.task('buildSingleDeclarationFile')();
}

module.exports = createDtsBundle;